Subject: Re: Proposed changes to io.h

From: Eugene Surovegin <[email-masked]>
Date: Wed, 31 Mar 2004 08:44:23 -0800

On Wed, Mar 31, 2004 at 10:44:25AM -0500, John Whitney wrote:
> 2. I'd like to add 64-bit __raw_readll and __raw_writell routines to
> io.h, done using floating-point registers.  Currently, modules such as
> MTD (when writing to 64-bit buses) perform two 32-bit, non-atomic
> writes, which can cause problems.  Using a floating-point register to
> guarantee a 64-bit write is ugly, but it works.  Code for these inlined
> routines is as follows:

[snip]

I wonder will it work on 4xx CPUs which don't have floating point unit?

Eugene.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/